Bug 1002574 - rhev-hypervisor should not include vdsm-gluster
rhev-hypervisor should not include vdsm-gluster
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-plugin-vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Douglas Schilling Landgraf
SATHEESARAN
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 09:12 EDT by Mike Burns
Modified: 2016-02-10 13:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2013-08-29 09:12:44 EDT
Description of problem:
vdsm-gluster pull the server components of gluster into the image which should *not* be shipped as part of RHEV-H.  

Version-Release number of selected component (if applicable):
6.5/3.3

How reproducible:
always

Fix is to simply remove the dependency of the ovirt-node-plugin-vdsm component on vdsm-gluster.
Comment 1 Mike Burns 2013-08-29 09:15:52 EDT
note:  this fix is actually in the ovirt-node-plugin-vdsm component
Comment 2 Douglas Schilling Landgraf 2013-08-29 11:31:00 EDT
Brew:
https://brewweb.devel.redhat.com/buildinfo?buildID=292512

Errata updated:
https://errata.devel.redhat.com/advisory/15400
Comment 3 SATHEESARAN 2013-11-22 07:53:27 EST
Installed RHEV-H and verified that there are no vdsm-gluster package and there are not glusterfs-server available with RHEV-H


[root@rhs-client10 ~]# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 6.5 (20131121.0.el6)

[root@rhs-client10 ~]# uname -r
2.6.32-431.el6.x86_64

[root@rhs-client10 ~]# uname -a
Linux rhs-client10.lab.eng.blr.redhat.com 2.6.32-431.el6.x86_64 #1 SMP Sun Nov 10 22:19:54 EST 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@rhs-client10 ~]# rpm -qi ovirt-node-plugin-vdsm-0.1.1-11.el6ev.noarch
Name        : ovirt-node-plugin-vdsm       Relocations: (not relocatable)
Version     : 0.1.1                             Vendor: Red Hat, Inc.
Release     : 11.el6ev                      Build Date: Wed 20 Nov 2013 04:16:53 PM UTC
Install Date: Thu 21 Nov 2013 09:00:49 AM UTC      Build Host: x86-012.build.bos.redhat.com
Group       : Applications/System           Source RPM: ovirt-node-plugin-vdsm-0.1.1-11.el6ev.src.rpm
Size        : 27793                            License: GPLv2+
Signature   : RSA/8, Wed 20 Nov 2013 10:35:48 PM UTC, Key ID 938a80caf21541eb
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.ovirt.org/
Summary     : A plugin to make oVirt Node installs compatible with oVirt Engine and vdsm
Description :
Provides UI and associated scripts for integrating oVirt Node and oVirt Engine

[root@rhs-client10 ~]# rpm -qa | grep vdsm*
vdsm-xmlrpc-4.13.0-0.9.beta1.el6ev.noarch
vdsm-python-4.13.0-0.9.beta1.el6ev.x86_64
vdsm-python-cpopen-4.13.0-0.9.beta1.el6ev.x86_64
vdsm-cli-4.13.0-0.9.beta1.el6ev.noarch
vdsm-4.13.0-0.9.beta1.el6ev.x86_64
vdsm-reg-4.13.0-0.9.beta1.el6ev.noarch
vdsm-hook-vhostmd-4.13.0-0.9.beta1.el6ev.noarch
ovirt-node-plugin-vdsm-0.1.1-11.el6ev.noarch

[root@rhs-client10 ~]# rpm -qa | grep gluster
glusterfs-devel-3.4.0.36rhs-1.el6.x86_64
glusterfs-libs-3.4.0.36rhs-1.el6.x86_64
glusterfs-api-3.4.0.36rhs-1.el6.x86_64
glusterfs-fuse-3.4.0.36rhs-1.el6.x86_64
glusterfs-3.4.0.36rhs-1.el6.x86_64
glusterfs-rdma-3.4.0.36rhs-1.el6.x86_64

Moving this bug as VERIFIED
Comment 4 Itamar Heim 2014-01-21 17:23:57 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:25:01 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:28:32 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.